-- -------------------------------------------------------------------------- --
-- MailAttachmentCount by kunda                                               --
-- -------------------------------------------------------------------------- --

for i=1, INBOXITEMS_TO_DISPLAY do
	local parent = _G["MailItem"..i.."Button"]
	local box = CreateFrame("Frame", "MailAttachmentCountOverlay"..i, parent)
	box:SetFrameStrata("HIGH")
	box:SetPoint("TOPLEFT", parent)
	box:SetWidth(37)
	box:SetHeight(37)
	local boxtxt = box:CreateFontString("MailAttachmentCountOverlay"..i.."Text", "DIALOG", "NumberFontNormal")
	boxtxt:SetPoint("BOTTOMRIGHT", "MailAttachmentCountOverlay"..i, "BOTTOMRIGHT", -5, 2)
end

hooksecurefunc("InboxFrame_Update", function()
	for i=1, INBOXITEMS_TO_DISPLAY do
		local frame = _G["MailAttachmentCountOverlay"..i]
		local index = frame:GetParent().index
		if not index then return end
		frame:Hide()
		local attachments = 0
		for j=1, ATTACHMENTS_MAX_RECEIVE do
			if GetInboxItem(index, j) then
				attachments = attachments + 1
			end
		end
		if attachments > 1 then
			_G["MailAttachmentCountOverlay"..i.."Text"]:SetText("#"..attachments)
			frame:Show()
		end
	end
end)